<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [calckey-js](./calckey-js.md) &gt; [Stream](./calckey-js.stream.md)

## Stream class

**Signature:**

```typescript
export default class Stream extends EventEmitter<StreamEvents> 
```
**Extends:** EventEmitter&lt;StreamEvents&gt;

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(origin, user, options)](./calckey-js.stream._constructor_.md) |  | Constructs a new instance of the <code>Stream</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [state](./calckey-js.stream.state.md) |  | "initializing" \| "reconnecting" \| "connected" |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [close()](./calckey-js.stream.close.md) |  |  |
|  [disconnectToChannel(connection)](./calckey-js.stream.disconnecttochannel.md) |  |  |
|  [removeSharedConnection(connection)](./calckey-js.stream.removesharedconnection.md) |  |  |
|  [removeSharedConnectionPool(pool)](./calckey-js.stream.removesharedconnectionpool.md) |  |  |
|  [send(typeOrPayload, payload)](./calckey-js.stream.send.md) |  |  |
|  [useChannel(channel, params, name)](./calckey-js.stream.usechannel.md) |  |  |

